org.apache.poi.sl.usermodel

## Interface Slide<S extends Shape<S,P>,P extends TextParagraph<S,P,? extends TextRun>>

- All Superinterfaces:
    java.lang.Iterable<S>, ShapeContainer<S,P>, Sheet<S,P>
  All Known Implementing Classes:
    HSLFSlide, XSLFSlide

      public interface Slide<S extends Shape<S,P>,P extends TextParagraph<S,P,? extends TextRun>>
      extends Sheet<S,P>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<? extends Comment>` | `getComments()`
    `boolean` | `getDisplayPlaceholder(Placeholder placeholder)` In XSLF, slidenumber and date shapes aren't marked as placeholders whereas in HSLF they are activated via a HeadersFooter configuration.
    `boolean` | `getFollowMasterBackground()`
    `boolean` | `getFollowMasterColourScheme()`
    `boolean` | `getFollowMasterObjects()`
    `Notes<S,P>` | `getNotes()`
    `MasterSheet<S,P>` | `getSlideLayout()`
    `java.lang.String` | `getSlideName()`
    `int` | `getSlideNumber()`
    `java.lang.String` | `getTitle()`
    `boolean` | `isHidden()`
    `void` | `setFollowMasterBackground(boolean follow)`
    `void` | `setFollowMasterColourScheme(boolean follow)`
    `void` | `setFollowMasterObjects(boolean follow)`
    `void` | `setHidden(boolean hidden)` Sets the slide visibility
    `void` | `setNotes(Notes<S,P> notes)`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.Sheet

      `draw, getBackground, getFollowMasterGraphics, getMasterSheet, getPlaceholderDetails, getSlideShow`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.ShapeContainer

      `addShape, createAutoShape, createConnector, createFreeform, createGroup, createOleShape, createPicture, createTable, createTextBox, getShapes, removeShape`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Method Detail

    - #### getNotes

          Notes<S,P> getNotes()

    - #### setNotes

          void setNotes(Notes<S,P> notes)

    - #### getFollowMasterBackground

          boolean getFollowMasterBackground()

    - #### setFollowMasterBackground

          void setFollowMasterBackground(boolean follow)

    - #### getFollowMasterColourScheme

          boolean getFollowMasterColourScheme()

    - #### setFollowMasterColourScheme

          void setFollowMasterColourScheme(boolean follow)

    - #### getFollowMasterObjects

          boolean getFollowMasterObjects()

    - #### setFollowMasterObjects

          void setFollowMasterObjects(boolean follow)

    - #### getSlideNumber

          int getSlideNumber()

      Returns:
        the 1-based slide no.

    - #### getTitle

          java.lang.String getTitle()

      Returns:
        title of this slide or null if title is not set

    - #### getDisplayPlaceholder

          boolean getDisplayPlaceholder(Placeholder placeholder)

      In XSLF, slidenumber and date shapes aren't marked as placeholders whereas in HSLF they are activated via a HeadersFooter configuration. This method is used to generalize that handling.
      Parameters:
        `placeholder` - the placeholder type
      Returns:
        `true` if the placeholder should be displayed/rendered
      Since:
        POI 3.16-beta2

    - #### setHidden

          void setHidden(boolean hidden)

      Sets the slide visibility
      Parameters:
        `hidden` - slide visibility, if `true` the slide is hidden, `false` shows the slide
      Since:
        POI 4.0.0

    - #### isHidden

          boolean isHidden()

      Returns:
        the slide visibility, the slide is hidden when `true` - or shown when `false`
      Since:
        POI 4.0.0

    - #### getComments

          java.util.List<? extends Comment> getComments()

      Returns:
        the comment(s) for this slide

    - #### getSlideLayout

          MasterSheet<S,P> getSlideLayout()

      Returns:
        the assigned slide layout
      Since:
        POI 4.0.0

    - #### getSlideName

          java.lang.String getSlideName()

      Returns:
        the slide name, defaults to "Slide[slideNumber]"
      Since:
        POI 4.0.0

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.